package com.dev.swms.server.model.shipping;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.abstractEntity.Pinfan;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.inventory.Task;
import com.dev.swms.server.model.inventory.TaskLog;

/**
 * 库区类
 * @author  dev
 *
 */
public class PrintXppRecord extends Entity {
	//品番 AC 加工中心 备货单号 纳入指示日 纳入数 制造库位 分支号
	private static final long serialVersionUID = 5115139409255803447L;
	private Warehouse warehouse;
	/** 品番 */
	private Item item;
	
	private Pinfan pf;
	/** ac */
	private String ac;
	/** 加工中心 */
	private String jgzx;
	private String hz;
	/** 订单编号*/
	private String ddbh;
	/** 纳入指示日 */
	private String nrzsr;
	/** 收容数 */
	private int srs=0;
	/** 送货数量 */
	private int shsl=0;
	/** 制造库位*/
	private String cgkw;
	/** 分支号 */
	private int fzh=0;
	/** 原始条码 */
	private String xpp;
	
	/** 备注 */
	private String remark;
	
	/** 创建人 */
	private String createBy;
	/** 创建时间 */
	private Date createDate;
	
	/** 出库明细 */
	private PickTicketDetail ptd;
	/** 发货明细 */
	private TaskLog taskLog;
	/** 修改时间 */
	private Date updateDate;
	/** 修改时间 */
	private String updateBy;
	/** 采集时间 */
	private Date gatherDate;
	/** 采集人 */
	private String gatherBy;
	/** 是否采集 */
	private Boolean beGather;
	
	/** 备货时间 */
	private Date bhDate;
	/** 备货 */
	private String bhBy;
	
	/** 发货时间 */
	private Date fhDate;
	/** 发货 */
	private String fhBy;
	
	/** 收料日期 */
	private Date slDate;
	/** 收料人 */
	private String slBy;
	/**收料库位 */
	private Location slkw;
	
	/** 制造投料日期 */
	private Date zzDate;
	/** 制造投料人 */
	private String zzBy;
	/** 制造投料库位 */
	private Location zzkw;
	
	/** 缓存投料日期 */
	private Date hcDate;
	/** 缓存投料人 */
	private String hcBy;
	/** 缓存投料库位 */
	private Location hckw;
	
	
	public Date getSlDate() {
		return slDate;
	}
	public void setSlDate(Date slDate) {
		this.slDate = slDate;
	}
	public String getSlBy() {
		return slBy;
	}
	public void setSlBy(String slBy) {
		this.slBy = slBy;
	}
	public Location getSlkw() {
		return slkw;
	}
	public void setSlkw(Location slkw) {
		this.slkw = slkw;
	}
	public Date getZzDate() {
		return zzDate;
	}
	public void setZzDate(Date zzDate) {
		this.zzDate = zzDate;
	}
	public String getZzBy() {
		return zzBy;
	}
	public void setZzBy(String zzBy) {
		this.zzBy = zzBy;
	}
	public Location getZzkw() {
		return zzkw;
	}
	public void setZzkw(Location zzkw) {
		this.zzkw = zzkw;
	}
	public Date getHcDate() {
		return hcDate;
	}
	public void setHcDate(Date hcDate) {
		this.hcDate = hcDate;
	}
	public String getHcBy() {
		return hcBy;
	}
	public void setHcBy(String hcBy) {
		this.hcBy = hcBy;
	}
	public Location getHckw() {
		return hckw;
	}
	public void setHckw(Location hckw) {
		this.hckw = hckw;
	}
	public Date getBhDate() {
		return bhDate;
	}
	public void setBhDate(Date bhDate) {
		this.bhDate = bhDate;
	}
	public String getBhBy() {
		return bhBy;
	}
	public void setBhBy(String bhBy) {
		this.bhBy = bhBy;
	}
	public Date getFhDate() {
		return fhDate;
	}
	public void setFhDate(Date fhDate) {
		this.fhDate = fhDate;
	}
	public String getFhBy() {
		return fhBy;
	}
	public void setFhBy(String fhBy) {
		this.fhBy = fhBy;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public Pinfan getPf() {
		return pf;
	}
	public void setPf(Pinfan pf) {
		this.pf = pf;
	}
	public String getAc() {
		return ac;
	}
	public void setAc(String ac) {
		this.ac = ac;
	}
	public String getJgzx() {
		return jgzx;
	}
	public void setJgzx(String jgzx) {
		this.jgzx = jgzx;
	}
	
	public String getNrzsr() {
		return nrzsr;
	}
	public void setNrzsr(String nrzsr) {
		this.nrzsr = nrzsr;
	}
	public int getSrs() {
		return srs;
	}
	public void setSrs(int srs) {
		this.srs = srs;
	}
	public int getShsl() {
		return shsl;
	}
	public void setShsl(int shsl) {
		this.shsl = shsl;
	}
	public int getFzh() {
		return fzh;
	}
	public void setFzh(int fzh) {
		this.fzh = fzh;
	}
	public String getXpp() {
		return xpp;
	}
	public void setXpp(String xpp) {
		this.xpp = xpp;
	}
	
	public String getHz() {
		return hz;
	}
	public void setHz(String hz) {
		this.hz = hz;
	}
	public String getDdbh() {
		return ddbh;
	}
	public void setDdbh(String ddbh) {
		this.ddbh = ddbh;
	}
	public String getCgkw() {
		return cgkw;
	}
	public void setCgkw(String cgkw) {
		this.cgkw = cgkw;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public PickTicketDetail getPtd() {
		return ptd;
	}
	public void setPtd(PickTicketDetail ptd) {
		this.ptd = ptd;
	}
	
	public TaskLog getTaskLog() {
		return taskLog;
	}
	public void setTaskLog(TaskLog taskLog) {
		this.taskLog = taskLog;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public String getUpdateBy() {
		return updateBy;
	}
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
	public Date getGatherDate() {
		return gatherDate;
	}
	public void setGatherDate(Date gatherDate) {
		this.gatherDate = gatherDate;
	}
	public String getGatherBy() {
		return gatherBy;
	}
	public void setGatherBy(String gatherBy) {
		this.gatherBy = gatherBy;
	}
	public Boolean getBeGather() {
		return beGather;
	}
	public void setBeGather(Boolean beGather) {
		this.beGather = beGather;
	}
	
}
